Skip to main content
Vaults

Vault の一覧取得

Forward API リファレンス。

Description

Lists Vaults visible to the current account, with pagination and name search.

パス

GET /api/v1/forward/vaults

リクエストヘッダー

ヘッダー必須説明
AuthorizationはいBearer <PAT または SAT>

クエリパラメーター

パラメーター型必須説明
limitintegerいいえページサイズです。最大 100。
pagestringNoPagination cursor (recommended), taken from next_page in the previous response. Mutually exclusive with after_id and before_id.
after_idstringNoForward pagination cursor. Mutually exclusive with page and before_id.
before_idstringNoBackward pagination cursor. Mutually exclusive with page and after_id.
namestringいいえdisplay_name で検索します。
identity_idstringNoIdentity に属するリソースを操作する場合のみ使用する任意のパラメーターです。PAT では明示的に指定でき、省略時は管理者スコープになります。SAT では Identity スコープのトークンを発行し、このパラメーターを明示的に指定しないでください。指定すると HTTP 400 が返されます。Identity の帰属.

リクエスト例

curl -X GET "https://api.qoder.com/api/v1/forward/vaults" \
  -H "Authorization: Bearer $QODER_ACCESS_TOKEN"

レスポンス例

{
  "data": [
    {
      "id": "vault_xxx",
      "type": "vault",
      "display_name": "mcp-vault",
      "metadata": {
        "source": "console"
      },
      "created_at": "2026-07-23T10:00:00Z",
      "updated_at": "2026-07-23T10:00:00Z",
      "identity_id": null
    }
  ],
  "first_id": "vault_xxx",
  "last_id": "vault_xxx",
  "has_more": false,
  "next_page": null
}

空のリストレスポンス

{
  "data": [],
  "first_id": null,
  "last_id": null,
  "has_more": false,
  "next_page": null
}

レスポンスフィールド

Each item in the response data array is a Vault object. See List pagination fields for pagination fields.

エラー

HTTPType発生条件
400invalid_request_errorThe request body, path parameters, or query parameters are invalid. SAT が identity_id を明示的に指定した場合も返されます。
401authentication_error認証トークンがないか、無効です。
403permission_erroridentity_id を指定しない PAT または Admin SAT で Owner mismatch が発生したか、その他の権限が不足しています。
404not_found_erroridentity_id is invalid, disabled, or does not belong to the caller, or the target resource does not belong to the current Identity scope.
500/502/503api_errorForward または依存サービスでエラーが発生しました。